package com.pqs9300.mapper.report;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.pqs9300.pojo.report.Condition;
import com.pqs9300.pojo.report.ReportValue;

public interface GetVoltageRateMapper {
    List<Map<String, Object>> getVoltageRate(@Param("condition") Condition condition, @Param("listValue") List<Integer> list);

    List<ReportValue> getFirstHarmonic(@Param("condition") Condition condition);

    List<Map<String, Object>> getHVoltageRate(@Param("condition") Condition condition);
}
